Bug 146206 - New Port: net-im/pickwick
Summary: New Port: net-im/pickwick
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-01 01:10 UTC by jimmy
Modified: 2010-05-13 04:40 UTC (History)
0 users

See Also:


Attachments
pickwick.sh (1.87 KB, text/plain)
2010-05-01 01:10 UTC, jimmy
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jimmy 2010-05-01 01:10:12 UTC

    
Comment 1 Edwin Groothuis freebsd_committer 2010-05-01 01:10:35 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-05-01 01:10:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

tabthorpe@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 3 jimmy 2010-05-06 22:42:26 UTC
There is a new distfile with a new version number: 1.9.  Had to make
it work right with UTF-8 input.

-- 
James Bailie
http://www.mammothcheese.ca
Comment 4 jimmy 2010-05-10 23:58:33 UTC
# Here is a whole new shar, correcting a few things:
#
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       pickwick
#       pickwick/Makefile
#       pickwick/pkg-plist
#       pickwick/pkg-descr
#       pickwick/distinfo
#
echo c - pickwick
mkdir -p pickwick > /dev/null 2>&1
echo x - pickwick/Makefile
sed 's/^X//' >pickwick/Makefile << 'ff6197f21ea065424f39da0576c63d8d'
X# New ports collection makefile for:  pickwick
X# Date created:                       Fri, 30 Apr 2010 19:50:00 EDT
X# Whom:                               James Bailie <jimmy@mammothcheese.ca>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      pickwick
XPORTVERSION=   1.10
XCATEGORIES=    net-im
XMASTER_SITES=  http://www.mammothcheese.ca/
X
XMAINTAINER=    jimmy@mammothcheese.ca
XCOMMENT=       Small group plain-text chat server and client
X
XMAN8=          pickwick.8
XMAN1=          weller.1
XMANCOMPRESSED= yes
X
X.include <bsd.port.mk>
ff6197f21ea065424f39da0576c63d8d
echo x - pickwick/pkg-plist
sed 's/^X//' >pickwick/pkg-plist << '1682404efaef1b2b04e83656da1829e1'
Xbin/pickwick
Xbin/weller
Xetc/rc.d/pickwick
1682404efaef1b2b04e83656da1829e1
echo x - pickwick/pkg-descr
sed 's/^X//' >pickwick/pkg-descr << 'cceb679653e88139fd7c9542cd4b6a54'
XPickwick is a plain text small group chat server.  It uses a simple
Xobfuscation scheme to keep traffic to and from the server unintelligible to
Xcasual perusal.  A client program, named weller(1) is also provided.
X
XWWW: http://www.mammothcheese.ca/
cceb679653e88139fd7c9542cd4b6a54
echo x - pickwick/distinfo
sed 's/^X//' >pickwick/distinfo << '28f54a8af16c9f74510bb6ea6fb6a232'
XMD5 (pickwick-1.10.tar.gz) = 41a183992c4de249785fdcb7bff61b8d
XSHA256 (pickwick-1.10.tar.gz) = 
b072eeec86ebe411a024959d4448466d26a45a7cc66b48a025dfabc4f47c1d20
XSIZE (pickwick-1.10.tar.gz) = 11339
28f54a8af16c9f74510bb6ea6fb6a232
exit
Comment 5 dfilter service freebsd_committer 2010-05-13 04:38:21 UTC
tabthorpe    2010-05-13 03:38:12 UTC

  FreeBSD ports repository

  Modified files:
    net-im               Makefile 
  Added files:
    net-im/pickwick      Makefile distinfo pkg-descr pkg-plist 
  Log:
  Pickwick is a plain text small group chat server.  It uses a simple
  obfuscation scheme to keep traffic to and from the server unintelligible to
  casual perusal.  A client program, named weller(1) is also provided.
  
  WWW: http://www.mammothcheese.ca/
  
  PR:             ports/146206
  Submitted by:   James Bailie <jimmy at mammothcheese.ca>
  
  Revision  Changes    Path
  1.131     +1 -0      ports/net-im/Makefile
  1.1       +20 -0     ports/net-im/pickwick/Makefile (new)
  1.1       +4 -0      ports/net-im/pickwick/distinfo (new)
  1.1       +5 -0      ports/net-im/pickwick/pkg-descr (new)
  1.1       +3 -0      ports/net-im/pickwick/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Thomas Abthorpe freebsd_committer 2010-05-13 04:38:44 UTC
State Changed
From-To: open->closed

New port added. Thanks!